{%  extends "absentism/base.html" %}
{% load static %}
{% block title %}
     ثبت نام
{% endblock %}
{% block css %}
{% endblock %}

{% block body %}
    <header id="header">
        <nav class="navbar navbar-expand-lg navbar-dark" style="background: #759D6F;">
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#basicExampleNav"
                aria-controls="basicExampleNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="basicExampleNav">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item">
                        <a class="nav-link" href="#" style="font-size: 25px;">iTime</a>
                    </li>
                </ul>
            </div>
        </nav>
    </header>
    <div content="container">
        <div class="row" style="margin-top: -60px;">
            <div class="col-md-3"></div>
            <form class="text-center border border-light p-5 col-md-6" method="post" id="save">
                {% csrf_token %}
                <div class="form-row md-4" style="margin-bottom: 20px;">
                    <div class="col">
                        <input type="text" id="defaultRegisterFormFirstName" class="form-control" placeholder="نام" name="name" style="font-family: adobeAr; font-size: 18px;">
                    </div>
                    <div class="col">
                        <input type="text" class="form-control" placeholder="نام خانوادگی" name="lastName" style="font-family: adobeAr; font-size: 18px;">
                    </div>
                </div>
                <input style="font-family: adobeAr; font-size: 18px;" type="email" class="form-control mb-4" placeholder="ادرس ایمیل">
                <input type="password" class="form-control" placeholder="رمز عبور" style="font-family: adobeAr; font-size: 18px;" name="password">
                <small style="font-family: adobeAr; font-size: 18px;" class="form-text text-muted mb-4">
                    حداقل ۸ کاراکتر به همراه حروف. دقت کنید که حتما صفحه کلید خود را انگلیسی کنید
                </small>
                <input type="text" style="font-family: adobeAr; font-size: 18px; text-align: center;" class="form-control" placeholder="نام کابری"  name="firstName">
                <small style="font-family: adobeAr; font-size: 18px;" class="form-text text-muted mb-4">
                    برای ورود به سایت بایستی از نام کاربری خود استافده کنید
                </small>
                <div class="col">
                    <button class="btn btn-info my-4 btn-secondary" type="submit">ثبت نام</button>
                    <a href="{% url 'login' %}" class="btn btn-success my-4 btn-block" style="margin-top: 10px; ">ورود</a>
                </div>
            </form>
        </div>
    </div>

{% block js %}
    <script>
        {% if success == 1 %}
            alert("این نام کاربری از قبل موجود است");
        {% elif success == 2 %}
            alert("ثبت نام شما با موفقیت انجام شد");
        {% endif %}
    </script>
{% endblock %}
{% endblock %}
